<include file="public@header" />
</head>
<body>
	<div class="wrap">
		<ul class="nav nav-tabs">
			<li class="active"><a >{$configpub['name_coin']}消费记录列表</a></li>
		</ul>
		<form class="well form-inline margin-top-20" method="post" name="form1" action="">
			{:lang('INCOME_EXPENSE_TYPE')}: 
            <select class="form-control" name="type">
				<option value="">{:lang('ALL')}</option>
                <volist name="type" id="v">
                    <option value="{$key}" <if condition="input('request.type') neq '' && input('request.type') eq $key">selected</if>>{$v}</option>
                </volist>
			</select>
			{:lang('INCOME_AND_EXPENDITURE_BEHAVIOR')}:  
            <select class="form-control" name="action">
				<option value="">{:lang('ALL')}</option>
                <volist name="action" id="v">
                    <option value="{$key}" <if condition="input('request.action') neq '' && input('request.action') eq $key">selected</if>>{$v}</option>
                </volist>
			</select>
			{:lang('TIME')}: 
			<input class="form-control js-bootstrap-date" name="start_time" id="start_time" autocomplete="off" value="{:input('request.start_time')}" aria-invalid="false" style="width: 110px;"> - 
            <input class="form-control js-bootstrap-date" name="end_time" id="end_time" autocomplete="off" value="{:input('request.end_time')}" aria-invalid="false" style="width: 110px;">
			{:lang('MEMBER')}:  
            <input class="form-control" type="text" name="uid" style="width: 200px;" value="{:input('request.uid')}"
                   placeholder="{:lang('PLEASE_ENTER_THE_MEMBER_ID_OR_NICKNAME')}">
			{:lang('HOST')}:  
            <input class="form-control" type="text" name="touid" style="width: 200px;" value="{:input('request.touid')}"
                   placeholder="{:lang('PLEASE_ENTER_ANCHOR_ID')}">
			
			<input type="button" class="btn btn-primary" value="{:lang('SEARCH')}" onclick="form1.action='{:url('Coinrecord/index')}';form1.submit();"/>
			<input type="button" class="btn btn-success" value="{:lang('EXPORT')}" onclick="form1.action='{:url('Coinrecord/export')}';form1.submit();"/>	
		</form>		
		
		<form method="post" class="js-ajax-form">
	
			<table class="table table-hover table-bordered">
				<thead>
					<tr>
						<th>ID</th>
						<th>{:lang('TYPE_OF_INCOME_AND_EXPENDITURE')}</th>
						<th>{:lang('INCOME_AND_EXPENDITURE_BEHAVIOR')}</th>
						<th>{:lang('MEMBER')} (ID)</th>
						<th>{:lang('HOST')} (ID)</th>
						<th>{:lang('BEHAVIOR_DESC')} (ID)</th>
						<th>{:lang('QUANTITY')}</th>
						<th>{:lang('TOTAL_PRICE')}</th>
						<th>{:lang('LIVE_ID')}</th>
						<th>{:lang('IS_BACKPACK_GIFT')}</th>
						<th>{:lang('TIME')}</th>
						<!-- <th>{:lang('ACTIONS')}</th> -->
					</tr>
				</thead>
				<tbody>
					<php>$ispack=array('0'=>'{:lang("NO")}','1'=>'{:lang("YES")}');</php>
					<foreach name="lists" item="vo">
					<tr>
						<td>{$vo.id}</td>
						<td>{$type[$vo['type']]}</td>
						<td>{$action[$vo['action']]}</td>
						<td>{$vo['userinfo']['user_nickname']} ({$vo['uid']})</td>
						<td>{$vo['touserinfo']['user_nickname']} ({$vo['touid']})</td>
						<td>{$vo['giftinfo']['giftname']} ({$vo['giftid']})</td>
						<td>{$vo['giftcount']}</td>
						<td>{$vo['totalcoin']}</td>
						<td>{$vo['showid']}</td>
						<td>{$ispack[$vo['ispack']]}</td>
						<td>{:date('Y-m-d H:i:s',$vo['addtime'])}</td>
						<!-- <td>	 -->
							<!-- <a class="btn btn-xs btn-primary" href='{:url("Coinrecord/edit",array("id"=>$vo["id"]))}'>{:lang('EDIT')}</a>
							<a class="btn btn-xs btn-danger js-ajax-delete" href="{:url('Coinrecord/del',array('id'=>$vo['id']))}">{:lang('DELETE')}</a> -->
						<!-- </td> -->
					</tr>
					</foreach>
				</tbody>
			</table>
			<div class="pagination">{$page}</div>

		</form>
	</div>
    <script src="__STATIC__/js/admin.js"></script>
</body>
</html>